% --------------------------------------------------------
% Demo: Template Matching using Correlation Coefficients
% By Yue Wu (Rex)
% Department of Electrical and Computer Engineering
% Tufts University
% Medford, MA
% 08/30/2010
%
%Improved by Lihi Wishnitzer and Gil Matzov
%05/03/2012
% --------------------------------------------------------

clear all
close all

%% Prepare the image for analysis
F = imread('world.jpg'); % read main image
T = imread('Coca_Cola T3 cropped fliped.bmp'); % read template image
numRot =4; % the number of angles that the program rotates the template
%% display frame and template
figure, subplot(121),imshow(F),title('The main pic');
subplot(122),imshow(T),title('Template');
%% correlation matching
[corrScore, boundingBox] = corrMatching(F,T,numRot);
%% show results

figure;
imagesc(abs(corrScore));

title('Corr Measurement Space')

    bY = [boundingBox(1),boundingBox(1)+boundingBox(3),boundingBox(1)+boundingBox(3),boundingBox(1),boundingBox(1)];
    bX = [boundingBox(2),boundingBox(2),boundingBox(2)+boundingBox(4),boundingBox(2)+boundingBox(4),boundingBox(2)];
    figure,imshow(F),line(bX,bY),title('Detected Area');

